/* http://www.stm32asm.ru    *
 * ======== *
 * ======== *
 * ATMega328P *
 * ======== */

MEMORY
{
	ROM : ORIGIN = 0x00000000, LENGTH = 32K /*  */
	MEMORY : ORIGIN = 0x00000100, LENGTH = 2K /*  */
	EEPROM : ORIGIN = 0x00000000, LENGTH = 4K /* EEPROM */
}

SECTIONS
{


.text :
{
	. = ALIGN(2);
	*(.text)
	*(.code)
	*(.data)
	. = ALIGN(2);
} >ROM


.memory :
{
	. = ALIGN(1);
	*(.memory)
	. = ALIGN(1);
} >MEMORY


.eeprom :
{
	. = ALIGN(1);
	*(.eeprom)
	. = ALIGN(1);
} >EEPROM



} /*   */
