	;  GCC AVR-AS
	.include "exe/m328Pdef.inc"


	.section .code
	.org 0
:
	;   
	; rjmp -     +/- 2 
	; jmp -      22- 
	rjmp Start
	nop
	jmp null ; INT0 External Interrupt Request 0
	jmp null ; INT1 External Interrupt Request 0
	jmp null ; PCINT0 Pin Change Interrupt Request 0
	jmp null ; PCINT1 Pin Change Interrupt Request 1
	jmp null ; PCINT2 Pin Change Interrupt Request 2
	jmp null ; WDT Watchdog Time-out Interrupt
	jmp null ; TIMER2_COMPA Timer/Counter2 Compare Match A
	jmp null ; TIMER2_COMPB Timer/Coutner2 Compare Match B
	jmp null ; TIMER2_OVF Timer/Counter2 Overflow
	jmp null ; TIMER1_CAPT Timer/Counter1 Capture Event
	jmp null ; TIMER1_COMPA Timer/Counter1 Compare Match A
	jmp null ; TIMER1_COMPB Timer/Coutner1 Compare Match B
	jmp null ; TIMER1_OVF Timer/Counter1 Overflow
	jmp null ; TIMER0_COMPA Timer/Counter0 Compare Match A
	jmp null ; TIMER0_COMPB Timer/Coutner0 Compare Match B
	jmp null ; TIMER0_OVF Timer/Counter0 Overflow
	jmp null ; SPI STC SPI Serial Transfer Complete
	jmp null ; USART_RX USART Rx Complete
	jmp null ; USART_UDRE USART Data Register Empty
	jmp null ; USART_TX USART Tx Complete
	jmp null ; ADC ADC Conversion Complete
	jmp null ; EE READY EEPROM Ready
	jmp null ; ANALOG COMP Analog Comparator
	jmp null ; TWI 2-wire Serial Interface (I2C)
	jmp null ; SPM READY Store Program Memory Ready

Start:
	;  WDT   1 
	;     
	cli ;  
	wdr
	in R16, MCUSR
	cbr R16, WDRF ;     
	out MCUSR, R16
	lds R16, WDTCSR
	ori R16, 1<<WDCE + 1<<WDE ;  
	sts WDTCSR, R16
	ldi R16, 0<<WDE ; 0= 1=
	sts WDTCSR, R16
	;     
	;    cli/sei


	;  
	ldi R16,hi8(RAMEND)
	out SPH,r16
	ldi R16,lo8(RAMEND)
	out SPL,r16

	;  
	ldi R16, 0xA3 ;    
	sts OSCCAL, R16



:
	nop
	rjmp 





null:
	reti



/************************************
******     ********
************************************/
.section .data
1:
	.byte 0xAA, 0xBB

;  
.section .memory
1:
	.space 1 ;  1 

;  EEPROM
.section .eeprom
1:
	.byte 0x11
	.asciz " " ; asciz     0x00

